#!/bin/sh

# imposta la posizione di iptables
IPTABLES='/sbin/iptables'

### Macchina Singola ###

# Step 1 - Policies : Pulizia di tutte le regole e set delle prassi ad ACCEPT
$IPTABLES -F
$IPTABLES -t nat -F
$IPTABLES -P INPUT ACCEPT
$IPTABLES -P FORWARD ACCEPT
$IPTABLES -P OUTPUT ACCEPT

# chiusura di tutte le policy
$IPTABLES -P INPUT DROP
$IPTABLES -P FORWARD DROP
#$IPTABLES -P OUTPUT DROP # decommentare a discrezione

# Step 2 - loopback
$IPTABLES -A INPUT -i lo -j ACCEPT

# Step 3  - Connessioni stabilite
$IPTABLES -A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT
$IPTABLES -A OUTPUT -m state --state NEW,RELATED,ESTABLISHED -j ACCEPT

# Step 4  - Porte Aperte
# $IPTABLES -A INPUT -p tcp --dport <porta_da_aprire> -j ACCEPT 

# Step 5 - ICMP
$IPTABLES -A INPUT -p icmp --icmp-type destination-unreachable -j ACCEPT
$IPTABLES -A INPUT -p icmp --icmp-type source-quench -j ACCEPT
$IPTABLES -A INPUT -p icmp --icmp-type time-exceeded -j ACCEPT
$IPTABLES -A INPUT -p icmp --icmp-type echo-request -j ACCEPT
$IPTABLES -A INPUT -p icmp --icmp-type echo-reply -j ACCEPT

### Source NAT ###

# Per ogni host
# $IPTABLES -A FORWARD -i eth0 -s <ipsorgente> -j ACCEPT
# $IPTABLES -t nat -A POSTROUTING -o eth1 -s $<$ipsorgente$>$ -j MASQUERADE

# Per tutti
# $IPTABLES -t nat -A POSTROUTING  -m state  --state RELATED,ESTABLISHED -j ACCEPT

### Destination NAT ###

# Per ogni redirezione
# $IPTABLES -t nat -A PREROUTING -i eth1 -m multiport -p tcp --dport 42 -j DNAT --to-destination <ipinterno:porta>
